Skip to main content
Storage Management/Data Storage APIs/Distributed Storage Related Interfaces
GETDistributed Storage Related InterfacesSince 0.6SynchronousAuth Required

Query Distributed Storage Pool

Query Distributed Storage Pool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, indicates the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number, globally unique identifier for the error, such as SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. If there is no original error, this field is null

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • primaryStorageUuidStringRequired

      Primary Storage UUID

    • poolNameStringRequired

      池名称。

    • aliasNameStringRequired

      No description provided.

    • descriptionStringRequired

      Resource description

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • typeStringRequired

      类型。

    • usedCapacityLongRequired

      已使用容量。

    • replicatedSizeIntegerRequired

      No description provided.

    • availableCapacityLongRequired

      可用容量。

Endpoint

GET/zstack/v1/primary-storage/ceph/pools

/zstack/v1/primary-storage/ceph/pools

Operation ID

QueryCephPrimaryStoragePool

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/primary-storage/ceph/pools' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "primaryStorageUuid": "d0e638ede3263a9080c41ce860106043", "poolName": "test pool", "aliasName": "alias test pool", "description": "high performance", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "type": "Data" } ] }

Change History

This API has no change history records yet.

View all change history